# Favourite Products

## GET /favourite-products/

> Retrieves favorite products, containing the ID of the product and user, along with timestamps of creation and last modification. It indicates which user has marked which product as a favorite.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"PaginatedFavouriteProductList":{"properties":{"count":{"description":"Numerical value representing quantity or total amount.","type":"integer"},"next":{"description":"This field defines the URL of the next page.","format":"uri","nullable":true,"type":"string"},"previous":{"description":"This field defines the URL of the previous page.","format":"uri","nullable":true,"type":"string"},"results":{"description":"This field returns a list of results.","items":{"$ref":"#/components/schemas/FavouriteProduct"},"type":"array"}},"type":"object"},"FavouriteProduct":{"properties":{"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"product":{"description":"The field defines the product ID associated with the product price.","type":"integer"},"user":{"description":"This field defines the user who triggered the event.","type":"integer"}},"type":"object"}}},"paths":{"/favourite-products/":{"get":{"description":"Retrieves favorite products, containing the ID of the product and user, along with timestamps of creation and last modification. It indicates which user has marked which product as a favorite.","operationId":"favourite_products_list","parameters":[{"description":"Query parameter `created_date` used to filter results based on specific conditions.","in":"query","name":"created_date","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `id` used to filter results based on specific conditions.","in":"query","name":"id","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than the given value.","in":"query","name":"id__gt","schema":{"type":"integer"}},{"description":"Filters records where `id` is greater than or equal to the given value.","in":"query","name":"id__gte","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than the given value.","in":"query","name":"id__lt","schema":{"type":"integer"}},{"description":"Filters records where `id` is less than or equal to the given value.","in":"query","name":"id__lte","schema":{"type":"integer"}},{"description":"Limits the number of results returned in the response.","in":"query","name":"limit","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `modified_date` used to filter results based on specific conditions.","in":"query","name":"modified_date","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than the given value.","in":"query","name":"modified_date__gt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is greater than or equal to the given value.","in":"query","name":"modified_date__gte","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than the given value.","in":"query","name":"modified_date__lt","schema":{"format":"date-time","type":"string"}},{"description":"Filters records where `modified_date` is less than or equal to the given value.","in":"query","name":"modified_date__lte","schema":{"format":"date-time","type":"string"}},{"description":"Query parameter `page` used to filter results based on specific conditions.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Query parameter `product` used to filter results based on specific conditions.","in":"query","name":"product","schema":{"type":"integer"}},{"description":"Query parameter `sort` used to filter results based on specific conditions.","in":"query","name":"sort","required":false,"schema":{"type":"string"}},{"description":"Query parameter `user` used to filter results based on specific conditions.","in":"query","name":"user","schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PaginatedFavouriteProductList"}}},"description":"Successful response for status code 200."}},"tags":["favourite-products"]}}}}
```

## GET /favourite-products/{id}/

> Retrieves favorite products, containing the ID of the product and user, along with timestamps of creation and last modification. It indicates which user has marked which product as a favorite. This endpoint retrieves a specific record by its unique identifier.

```json
{"openapi":"3.0.3","info":{"title":"Data Warehouse","version":"1.0.0"},"servers":[{"description":"Server base URL with dynamic channel_id.","url":"https://{omnitron_url}/api/v1/remote/{channel_id}/data-warehouse","variables":{"channel_id":{"default":"1","description":"Unique identifier for the sales channel."},"omnitron_url":{"default":"sandbox.akinon.com"}}},{"description":"Server base URL with Commerce URL.","url":"https://{commerce_url}/api/v1/data-warehouse","variables":{"commerce_url":{"default":"sandbox.commerce.akinon.com"}}}],"security":[{"tokenAuth":[]}],"components":{"securitySchemes":{"tokenAuth":{"description":"Token-based authentication with required prefix \"Token\"","in":"header","name":"Authorization","type":"apiKey"}},"schemas":{"FavouriteProduct":{"properties":{"created_date":{"description":"Timestamp indicating when the record was created.","format":"date-time","type":"string"},"id":{"description":"Unique identifier for the record.","type":"integer"},"modified_date":{"description":"This field defines the last updated date.","format":"date-time","type":"string"},"product":{"description":"The field defines the product ID associated with the product price.","type":"integer"},"user":{"description":"This field defines the user who triggered the event.","type":"integer"}},"type":"object"}}},"paths":{"/favourite-products/{id}/":{"get":{"description":"Retrieves favorite products, containing the ID of the product and user, along with timestamps of creation and last modification. It indicates which user has marked which product as a favorite. This endpoint retrieves a specific record by its unique identifier.","operationId":"favourite_products_retrieve","parameters":[{"description":"A unique integer value identifying this favourite product.","in":"path","name":"id","required":true,"schema":{"type":"integer"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FavouriteProduct"}}},"description":"Successful response for status code 200."},"404":{"content":{"application/json":{}},"description":"Object not found."}},"tags":["favourite-products"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.akinon.com/commerce-openapis/data-warehouse/favourite-products.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
